## org.apache.lucene.queries.function.docvalues
Class FloatDocValues

    java.lang.Object
      org.apache.lucene.queries.function.FunctionValues
          org.apache.lucene.queries.function.docvalues.FloatDocValues

    public abstract class FloatDocValues

extends FunctionValues

Abstract `FunctionValues` implementation which supports retrieving float values. Implementations can control how the float values are loaded through `floatVal(int)`}

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues
`FunctionValues.ValueFiller`

Field Summary
`protected ValueSource` `vs`

Constructor Summary
`FloatDocValues(ValueSource vs)`

Method Summary
`byte` `byteVal(int doc)`
`double` `doubleVal(int doc)`
`abstract float` `floatVal(int doc)`
`FunctionValues.ValueFiller` `getValueFiller()`
`int` `intVal(int doc)`
`long` `longVal(int doc)`
`Object` `objectVal(int doc)` Native Java Object representation of the value
`short` `shortVal(int doc)`
`String` `strVal(int doc)`
`String` `toString(int doc)`

Methods inherited from class org.apache.lucene.queries.function.FunctionValues
`boolVal, bytesVal, byteVal, doubleVal, exists, explain, floatVal, getRangeScorer, getScorer, intVal, longVal, numOrd, ordVal, shortVal, strVal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vs

    protected final ValueSource vs

Constructor Detail

### FloatDocValues

    public FloatDocValues(ValueSource vs)

Method Detail

### byteVal

    public byte byteVal(int doc)

  Overrides:
    `byteVal` in class `FunctionValues`

### shortVal

    public short shortVal(int doc)

  Overrides:
    `shortVal` in class `FunctionValues`

### floatVal

    public abstract float floatVal(int doc)

  Overrides:
    `floatVal` in class `FunctionValues`

### intVal

    public int intVal(int doc)

  Overrides:
    `intVal` in class `FunctionValues`

### longVal

    public long longVal(int doc)

  Overrides:
    `longVal` in class `FunctionValues`

### doubleVal

    public double doubleVal(int doc)

  Overrides:
    `doubleVal` in class `FunctionValues`

### strVal

    public String strVal(int doc)

  Overrides:
    `strVal` in class `FunctionValues`

### objectVal

    public Object objectVal(int doc)

  Description copied from class: `FunctionValues`
  Native Java Object representation of the value

  Overrides:
    `objectVal` in class `FunctionValues`

### toString

    public String toString(int doc)

  Specified by:
    `toString` in class `FunctionValues`

### getValueFiller

    public FunctionValues.ValueFiller getValueFiller()

  Overrides:
    `getValueFiller` in class `FunctionValues`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.